# Interest Rates

Given the permissionless nature of the application and considering that for a governance system there may be too many pairs to be handled individually, the protocol uses an adaptive interest rate model. Each borrowable pool has its own interest rate curve that acts independently from other borrowable pools.

The adaptive interest rate model determines interest rates according to historical supply and demand. This means that as more assets are utilized (borrowed) from a pool, the interest rate grows linearly. But when the relative amount utilized reaches a specified point (`kinkUtilizationRate`), the interest rate begins growing at a greater linear rate.

![The interest rate paid by a borrower increases as a function of the ratio of funds borrowed/funds supplied.](https://lh3.googleusercontent.com/A78I_gfnbZz9TQgyT6AxbK81tHO0xJAsRTWRYoQ5TsiYWAFAIoE4Y809k6Ys-urolgJAUya77xuqq9dB7WBUU8RBwKWBJu3DTBFHUGUJvZGWu2zCfm18q5IM910KA-niGHkugRU4=s1600)

This chart shows that for a given supply of an asset, as more of that supply is used for loans, the interest rate charged to the borrower increases.&#x20;

Note that as more supply is added to the pool, the `utilizationRate` reduces, and interest rates will go down.&#x20;

The interest rates at any time depend from the `utilizationRate` and the `kinkRate`. The `kinkRate` correspond with the interest rate when the `utilizationRate` = `kinkUtilizationRate`, so whenever the `kinkRate` is higher also the interest rates are higher, and viceversa. The `kinkRate` is a parameter that is calculated algorithmically by the protocol according to historical supply and demand. Whenever the `utilizationRate` is greater than the `kinkUtilizationRate` the `kinkRate` increases, and viceversa. This ensures that incentives will always be balanced and that borrowers pay a fair interest to lenders based on market demand and without the need for external intervention.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.impermax.finance/protocol/interest-rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
